Skip to main content
GET
/
external-payments
cURL
curl --request GET \
  --url https://api-alpha.fourvenues.com/integrations/external-payments/ \
  --header 'integration_id: <api-key>' \
  --header 'secret: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "_id": "ep4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "organization_id": "or4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "organization_slug": "my-organization",
      "event_id": "ev4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "event_slug": "my-event",
      "event_date": "2021-01-01",
      "day": 1,
      "month": 1,
      "year": 2021,
      "at": "2021-01-01T00:00:00.000Z",
      "resource_type": "tickets",
      "resources_ids": [
        "rs4gr63f00xkq01i1d8jh5ohuzaZhvoE"
      ],
      "amount": 100,
      "currency": "EUR",
      "description": "Payment for tickets",
      "method": "card",
      "client_id": "cl4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "created_by": "us4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "created_at": "2021-01-01T00:00:00.000Z"
    }
  ]
}

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Query Parameters

event_id
string

Event identifier.

start_date
string

Start date for the range.

end_date
string

End date for the range.

limit
integer

Limit of results.

offset
integer

Offset of results.

resource_type
string

Resource type. (bookings)

resource_id
string

Filters the external payments matching that resource_id.

Response

HTTP OK

success
boolean
Example:

true

data
object[]

Array of External Payments